IMPORTANT: If you are using OS X 10.10.4 please read

Discuss functionality of QuarkXPress 2015 (excluding Digital Publishing)
For Digital Publishing functionality please refer to forums in the "Digital Publishing" group.

Please note that since Dec 1, 2018, QuarkXPress 2015 is not supported anymore.

Post Reply
User avatar
Matthias Guenther (Quark)
Quarkian
Quarkian
Posts: 2477
Joined: 04 Jun 2004, 15:06
Location: http://bit.ly/QuarkHamburg
Contact:

IMPORTANT: If you are using OS X 10.10.4 please read

Post by Matthias Guenther (Quark) » 17 Jul 2015, 05:35

Hi all,

IMPORTANT: If you are using OS X Yosemite 10.10.4 and using the Drag & Drop install please read this.

If you are using any version of OS X before 10.10.4 or using Windows then you can ignore this.


Apple has changed their Gatekeeper technology with 10.10.4 that prevents software from unknown developers to be launched at first start. Unfortunately when using the drag and drop installer of QuarkXPress 2015, somehow OS X's Gatekeeper objects to this. Before OS X 10.10.4 OS X will allow you to start a QuarkXPress 2015 installed by drag & drop.

Also, if you are using the Updater to update QuarkXPress 2015 to a newer release, everything will be fine: You won't receive a warning, even not under OS X 10.10.4. It just happens when dragging and dropping QuarkXPress 2015 to install.


Problem under OS X 10.10.4

So when you download QuarkXPress 2015 and drag and drop it to the Application folder – upon first launch of QuarkXPress – unfortunately OS X 10.10.4 will display this message:
Image
(this won't happen on any OS X version lower than 10.10.4)


Workaround
The workaround is to find QuarkXPress 2015, right click it and open it from there:

Image

and then OS X will display a different dialog, where you need to click "Open":
Image

You just have to do that ONCE when starting QuarkXPress 2015 for the very first time under OS X 10.10.4 (and not below). Once you have done that, OS X will never prompt you again and just start QuarkXPress.


Auto Updater
Probably unrelated, however we also noted that Auto Updater doesn't work under OS X 10.10.4. So if you are using OS X 10.10.4, please download the updater from our download section. Again, if you are on Windows or using OS X 10.10.3 or lower, you can of course use the Auto Updater.


Of course we are working on a solution that fixes these problem and will deploy it in a further update in a few weeks.

July 2015 Update without Drag&Drop Installer to avoid this
To avoid this problem we'll push the installer with the next update (July 2015) – and not the drag&drop installation of QX2015. The installer does NOT have this issue.


Thanks
Matthias
Feel there should be more chatting, more tips, more user interaction?
Join us on Facebook, a forum-like group with over 2,000 QuarkXPress fans interacting:
http://www.facebook.com/groups/quarkxpress

Image


Post Reply

Return to “QuarkXPress 2015: General”